Bug 8760 - spurious useradd output
: spurious useradd output
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/dbus)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-12-30 16:41 by
Modified: 2009-05-10 09:32 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-12-30 16:41:16
useradd: user messagebus exists

мож обернуть >&/dev/null?
------- Comment #1 From 2007-04-09 19:37:20 -------
на мантейнера

(это еще проявляется?)
------- Comment #2 From 2007-04-09 19:47:10 -------
Должно бы:

/usr/sbin/groupadd -r -f messagebus
/usr/sbin/useradd -r -n -g messagebus -d /var/run/dbus -s /dev/null \
        -c "D-Bus System User" messagebus ||:
------- Comment #3 From 2007-04-09 20:18:36 -------
(In reply to comment #2)
> Должно бы:
> 
> /usr/sbin/groupadd -r -f messagebus
> /usr/sbin/useradd -r -n -g messagebus -d /var/run/dbus -s /dev/null \
>         -c "D-Bus System User" messagebus ||:
> 

[icesik@iceberg RPMS]$ rpm -qp --scripts dbus-1.0.2-alt1.i586.rpm
preinstall scriptlet (through /bin/sh):
/usr/sbin/groupadd -r -f messagebus
/usr/sbin/useradd -r -n -g messagebus -d /var/run/dbus -s /dev/null \
        -c "D-Bus System User" messagebus ||:
postinstall scriptlet (through /bin/sh):
/usr/sbin/post_service messagebus
/usr/bin/dbus-uuidgen --ensure
preuninstall scriptlet (through /bin/sh):
/usr/sbin/preun_service messagebus
[icesik@iceberg RPMS]$

Думаю, давно уже исправленно.

status -> fixed
------- Comment #4 From 2007-04-09 20:20:34 -------
Стоит или проверять наличие псевдоюзверя, или девнуллить std{out,err} -- нет?
------- Comment #5 From 2007-04-09 20:33:26 -------
[root@iceberg ~]# apt-get install --reinstall dbus
Reading Package Lists... Done
Building Dependency Tree... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 removed and 7 not upgraded.
Need to get 0B/150kB of archives.
After unpacking 0B of additional disk space will be used.
Do you want to continue? [Y/n]
Committing changes...
Preparing...                                        
###################################################################################################
[100%]
useradd: user messagebus exists
1: dbus                                             
###################################################################################################
[100%]
Stopping system message bus service: [ DONE ]
Starting system message bus service: [ DONE ]
Done.
[root@iceberg ~]# 

Вы про это?
------- Comment #6 From 2007-04-09 20:38:55 -------
(In reply to comment #5)
> useradd: user messagebus exists
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> Вы про это?
Ага.
------- Comment #7 From 2007-04-09 22:20:51 -------
(In reply to comment #6)
> (In reply to comment #5)
> > useradd: user messagebus exists
>   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> > Вы про это?
> Ага.

И что? Это типа не правильно? Где посмотреть как правильно?
------- Comment #8 From 2007-04-10 00:54:12 -------
icesik@iceberg SRPMS]$ LANG=C rpm -qp --lastchange dbus-1.0.2-alt2.src.rpm
* Tue Apr 10 2007 Igor Zubkov <icesik@altlinux.org> 1.0.2-alt2

- clean up spec file
- clean up buildrequires
- shutup useradd and groupadd (closes #8760)
- own /etc/dbus-1/ and /usr/share/dbus-1/ (closes #10365)
[icesik@iceberg SRPMS]$    

Status -> fixed
------- Comment #9 From 2007-04-10 01:48:35 -------
tnx :)

вообще если силы вдруг будут -- хорошо бы после 4.0 это дело в макросы вынести.